import { ElementRef } from '@angular/core';
export declare class FVMovableDirective {
    private _mouseDown;
    private _mouseDownData;
    private element;
    onlySelf: boolean;
    constructor(el: ElementRef);
    readonly target: any;
    mouseMove(event: any): void;
    mouseDown(event: any): void;
    mouseLeave(): void;
    mouseup(): void;
    private updateElement(target, userSelect?, top?, left?);
    private end();
}
